--- src/platform.h.dist	2003-07-02 15:59:23.000000000 +0200
+++ src/platform.h	2003-07-02 15:59:50.000000000 +0200
@@ -141,6 +141,18 @@
 # include <time.h>
 #endif
 
+//
+// In the compiler, we want EXACT control over signed and unsigned values
+// of certain bit widths. Configure should have already found us what we need.
+//
+#if HAVE_INTTYPES_H
+# include <inttypes.h>
+#else
+# if HAVE_STDINT_H
+#  include <stdint.h>
+# endif
+#endif // HAVE_INTTYPES_H
+
 // C++ standard support
 
 #ifdef HAVE_STD
@@ -183,18 +195,6 @@
 #endif
 
 
-//
-// In the compiler, we want EXACT control over signed and unsigned values
-// of certain bit widths. Configure should have already found us what we need.
-//
-#if HAVE_INTTYPES_H
-# include <inttypes.h>
-#else
-# if HAVE_STDINT_H
-#  include <stdint.h>
-# endif
-#endif // HAVE_INTTYPES_H
-
 typedef uint8_t u1;
 typedef int8_t i1;
 typedef uint16_t u2;
